org.apache.sling.scripting.freemarker.internal

## Class FreemarkerScriptEngine

- java.lang.Object
- - javax.script.AbstractScriptEngine
  - - org.apache.sling.scripting.api.AbstractSlingScriptEngine
    - - org.apache.sling.scripting.freemarker.internal.FreemarkerScriptEngine

All Implemented Interfaces:
  ScriptEngine

    public class FreemarkerScriptEngine
    extends org.apache.sling.scripting.api.AbstractSlingScriptEngine

### Field Summary

### Fields inherited from class javax.script.AbstractScriptEngine

`context`

### Fields inherited from interface javax.script.ScriptEngine

`ARGV, ENGINE, ENGINE_VERSION, FILENAME, LANGUAGE, LANGUAGE_VERSION, NAME`

### Constructor Summary

Constructors
Constructor and Description
`FreemarkerScriptEngine(FreemarkerScriptEngineFactory freemarkerScriptEngineFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `eval(Reader reader, ScriptContext scriptContext)`

### Methods inherited from class org.apache.sling.scripting.api.AbstractSlingScriptEngine

`createBindings, eval, getFactory`

### Methods inherited from class javax.script.AbstractScriptEngine

`eval, eval, eval, eval, get, getBindings, getContext, getScriptContext, put, setBindings, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FreemarkerScriptEngine

    public FreemarkerScriptEngine(FreemarkerScriptEngineFactory freemarkerScriptEngineFactory)

### Method Detail

#### eval

    public Object eval(Reader reader,
                       ScriptContext scriptContext)
                throws ScriptException

Throws:
  `ScriptException`